/actions/{action_id}/mark_as_done Mark a specific action as complete
Marks the action complete.
Path parameters
| Name | Type | Description |
|---|---|---|
action_id req | string | Action ID |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
actionobjectCompletable tasks related to Contacts. ASAP first, then dated actions ordered by due date (overdue first), followed by waiting for (blocked) and finally queued actions (without any date).
object fields →
idstringbson-idID of the action
assignee_idstringbson-idrequiredID of the user, to whom the action is assigned. Defaults to the logged API user's ID.
contact_idstringbson-idrequiredID of the contact, with whom the action is associated
textstringrequiredThe main text/description of the action
statusstringStatus of the action
enum: asap · date · date_time · waiting · queued · queued_with_date · done
datestringdateDue date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.
exact_timeintegerunix-timestampThe UNIX Epoch time in seconds the action is due (status must be `date_time`)
positionintegerint32The position of the action (in the list of queued actions)
donebooleanHas the action been marked as complete?
done_atstringdateThe date the action was completed (only returned, if action complete)
created_atstringdate-timeCreation time of the action
modified_atstringdate-timeLast modification time of the action
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.